Subject: Re: [PATCH 4/8] net/mlx4_en: Set max rate-limit for a TC

From: Amir Vadai <[email-masked]>
Date: Wed, 14 Mar 2012 12:31:15 +0200

On 03/13/2012 08:26 PM, John Fastabend wrote:
> On 3/13/2012 10:21 AM, Amir Vadai wrote:
>> From: Amir Vadai<[email-masked]>
>>
>> Set max rate-limit using sysfs file /sys/class/net/<interface>/qos/ratelimit
>>
>> To set, enter a space separated list of values in units of 100Mbps.  For
>> example to set ratelimit of 5G to TC0 and 10G for the reset on eth2 issue:
>> echo 50 100 100 100 100 100 100 100 100>  /sys/class/net/eth2/qos/ratelimit
>>
>> Signed-off-by: Amir Vadai<[email-masked]>
>> ---
>>
>> We used sysfs since max bw isn't part of the ETS / DCBX NL support, and we're
>> open to other suggestions to add generic support for max bw, e.g add call to
>> the DCBX NL API.
>>
>
> Its not really part of DCB so adding it to DCBnl seems a bit forced. But how
> about adding it as an attribute of the mqprio which "knows" about the queue
> groupings?
See my answer below
>
> Does the rate limiter take into account the user priority to tc mapping or
> is it really just a group of queues with a rate limit? The code makes it
> look like it really is per 802.1Q traffic class.
This is true, the rate limiter is per 802.1Q traffic class, and the HW 
is using the UP to TC mapping when enforcing it.
That's why it can't be added to mqprio, which is a group of queues and 
not 802.1Q traffic class.
> .John

Thanks,
Amir